FLAGS = -I/usr/include
CPP = /usr/lib/cpp

all:	cpp.exe

cpp.exe: cpp.obj
	lcc -o $@ cpp.obj -lnoexpand.obj

test:
	$(CPP) $(FLAGS) pptest >1
	./cpp $(FLAGS) pptest >2
	diff 1 2 >diff
	$(CPP) $(FLAGS) pptest.2 >1
	./cpp $(FLAGS) pptest.2 >2
	diff 1 2 >>diff
	$(CPP) $(FLAGS) pptest.3 >1
	./cpp $(FLAGS) pptest.3 >2
	diff 1 2 >>diff
	rm 1 2

arch:
	-rm ../cpp.lzh
	lharc a -t ../cpp.lzh readme cpp.c makefile cpp.exe changelog pp*.*
